## totem-pl-parser 2.27.2-1maemo1+0m5

=== debian/changelog ===
totem-pl-parser (2.27.2-1maemo1+0m5) maemo; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Fri, 29 May 2009 12:38:29 +0300

totem-pl-parser (2.27.2-1maemo1) maemo; urgency=low

  * Sync with upstream 2.27.2 (updated patches)
  * Fixes: NB#117705, Playlists with \r or mixed newline not handled

 -- Ivan Frade <ivan.frade@nokia.com>  Tue, 19 May 2009 15:40:00 +0200
	

totem-pl-parser (2.25.92-2maemo1) maemo; urgency=low
	
  * Added patch in debian package to speed up pls parsing
  * Fixes: NB#101704 ... unable to parse huge playlist
	
 -- Ivan Frade <ivan.frade@nokia.com>  Tue, 16 Mar 2009 11:32:46 +0200

totem-pl-parser (2.25.92-1maemo1) maemo; urgency=low
	
  * Synchronized with upstream -r321
  * Fixes: NB#98796 Malformed playlist causes a segfault...
	
 -- Ivan Frade <ivan.frade@nokia.com>  Tue, 6 Mar 2008 19:10:46 +0200

totem-pl-parser (2.25.1-1maemo1) maemo; urgency=low
	
  * Synchronized with upstream -r281
  * Fixes: NB#93495 Playlist format file is not able to open ...
	
 -- Ivan Frade <ivan.frade@nokia.com>  Tue, 13 Jan 2008 15:51:46 +0200

totem-pl-parser (2.25.1-0maemo1) maemo; urgency=low
	
  * Synchronized with upstream -r279
  * Removed static libraries from packages
  * Removed localization files from packages
  * Fixes: NB#97740 Remove localization files from libtotem-plparser12
	
 -- Ivan Frade <ivan.frade@nokia.com>  Mon, 12 Jan 2008 17:09:46 +0200
	

totem-pl-parser (2.25-0maemo4) maemo; urgency=low

  * Removed totem-plparser-dbg package due to problems in integration.

 -- Ivan Frade <ivan.frade@nokia.com>  Wed, 13 Nov 2008 13:38:46 +0200

totem-pl-parser (2.25-0maemo2) maemo; urgency=low

  * Updated debian directory to follow the ubuntu version number of the
    library.

 -- Ivan Frade <ivan.frade@nokia.com>  Wed, 12 Nov 2008 17:28:47 +0200

totem-pl-parser (2.25-0maemo1) maemo; urgency=low

  * First version for maemo. Removing gnomevfs and camel dependencies.

 -- Ivan Frade <ivan.frade@nokia.com>  Mon, 17 Oct 2008 14:55:48 +0200

totem-pl-parser (2.22.3-0ubuntu2) hardy-updates; urgency=low

  * Upload to hardy-updates to not depend on other upgrades 
    which didn't migrate to hardy-updates yet (lp: #231236)

 -- Sebastien Bacher <seb128@canonical.com>  Sat, 17 May 2008 14:55:48 +0200

totem-pl-parser (2.22.3-0ubuntu1) hardy-proposed; urgency=low

  * New upstream version (lp: #229922):
    - Fix the playlist parser trying to parse RCS files
    - Fix parsing of file that appear to be DOS text files but are Podcasts
    - Fix linefeeds appearing in titles

 -- Sebastien Bacher <seb128@canonical.com>  Tue, 13 May 2008 14:23:53 +0200

totem-pl-parser (2.22.2-0ubuntu1) hardy; urgency=low

  * Sync on debian and new upstream version:
    - Add support for feed:// URLs as used by Firefox 3
    - Work-around for feeds with a linefeed straight after "<rss" (lp: #202982)

 -- Sebastien Bacher <seb128@canonical.com>  Tue, 08 Apr 2008 18:25:25 +0200

totem-pl-parser (2.22.1-1) unstable; urgency=low

  [ Sam Morris ]
  * New upstream development release.
    - Build-depend on gtk-doc-tools 1.0.
    - build-depend on libglib2.0-dev 2.13.4.
    - build-depend on libgnomevfs2-dev 2.16.
    - build-depend on libcamel1.2-dev.
  * Import 30_kfreebsd_gnu.patch from totem package.
  * Include check-dist.mk in rules file to prevent accidental uploads to
    unstable.

  [ Sebastian Dröge ]
  * New upstream stable release:
    + debian/control.in:
      - Update/wrap build dependencies.
      - Add required dependencies to the -dev package.
    + debian/control.in,
      debian/libtotem-plparser*.install:
      - Renamed from *11 to *10.
  * debian/watch,
    debian/rules:
    Changes taken from the Ubuntu package
    + Add watch file.
    + Extract libtotem-plparserN package name from control.
    + Set shlibs version via DEB_DH_MAKESHLIBS_ARGS instead of debian/*.shlibs
      as this is less fragile across SONAME changes and library additions.
  * debian/rules:
    + Remove check-dist include, upload to unstable.
  * debian/copyright:
    + Updated.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 12 Mar 2008 14:19:22 +0100

## totem-pl-parser 3.26.2

=== meson_options.txt ===
option('enable-quvi', type: 'combo', choices : ['yes', 'no', 'auto'], value : 'auto',
  description : 'Enable libquvi support.')
option('enable-libarchive', type: 'combo', choices : ['yes', 'no', 'auto'], value : 'auto',
  description : 'Enable libarchive support.')
option('enable-libgcrypt', type: 'combo', choices : ['yes', 'no', 'auto'], value : 'auto',
  description : 'Enable libgcrypt support.')
option('enable-gtk-doc', type: 'boolean', value: 'false',
  description : 'Generate the API reference (depends on GTK-Doc)')

## totem-pl-parser 2.27.2-1maemo2%2b0m5

=== debian/changelog ===
totem-pl-parser (2.27.2-1maemo2+0m5) maemo; urgency=low

  * Fixes: NB#147883 Not supported mime-type by tpp
  * Fixed with new patch in debian/patches

 -- Ivan Frade <ivan.frade@nokia.com>  Tue, 19 Jan 2009 18:29:00 +0300

=== debian/control ===
Source: totem-pl-parser
Priority: extra
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5),
               autotools-dev,
               cdbs,
               libxml-parser-perl,
               libglib2.0-dev (>= 2.16.3),
               libgtk2.0-dev (>= 2.11.6),
               libxml2-dev,
               libdbus-1-dev (>= 0.61),
               libhal-dev (>= 0.5),
               gtk-doc-tools (>= 1.0)
Uploaders: Sebastian Dröge <slomo@debian.org>
Standards-Version: 3.7.3
Section: libs

Package: libtotem-plparser-dev
Section: libdevel
Architecture: any
Depends: libtotem-plparser12 (= ${binary:Version}),
         libglib2.0-dev (>= 2.16.3),
         libgtk2.0-dev (>= 2.11.6)
Replaces: libtotem-plparser10
Description: Totem Playlist Parser library - development version
 A library to parse playlists.
 .
 This package contains the development headers.

Package: libtotem-plparser12
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Totem Playlist Parser library - runtime version
 A library to parse playlists.
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
#include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
#-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS := \
	--disable-camel-i-know-what-im-doing

SOURCE_DIR=$(CURDIR)

config.status: $(SOURCE_DIR)/configure

$(SOURCE_DIR)/configure:
	$(SOURCE_DIR)/autogen.sh $(DEB_CONFIGURE_EXTRA_FLAGS)

libtotem-plparserN := $(shell sed -rn 's/Package:[[:space:]]*(libtotem-plparser[0-9]+)[[:space:]]*$$/\1/p' debian/control)

DEB_DH_MAKESHLIBS_ARGS_$(libtotem-plparserN) += -V '$(libtotem-plparserN) (>= 2.27.2)'

## totem-pl-parser 2.32.4

=== debian/changelog ===
totem-pl-parser (2.32.4-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control.in:
    + make libtotem-plparser-dev depend on libquvi-dev

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 05 Apr 2011 18:44:40 +0200

totem-pl-parser (2.32.2-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Updated build dependencies.
    + debian/libtotem-plparser17.symbols:
      - Updated for the new symbols.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 31 Jan 2011 23:28:34 +0000

totem-pl-parser (2.32.1-1) experimental; urgency=low

  * New upstream release.
  * Update to the new gir policy:
    - Rename gir1.0-totem-plparser-1.0 to gir1.2-totem-plparser-1.0.
    - Bump the gobject-introspection build dependency.
    - Build depend on gir1.2 packages.
  * debian/control.in:
    - Remove unneeded libgtk2.0-dev and gir-repository-dev build
      dependencies.
  * debian/rules,
    debian/source/format:
    - Switch to source format 3.0 (quilt).
  * debian/libtotem-plparser17.symbols:
    - Added.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 18 Dec 2010 17:38:21 +0000

totem-pl-parser (2.30.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 15 Sep 2010 13:36:36 +0200

totem-pl-parser (2.30.2-1) unstable; urgency=low

  * debian/control.in:
    + Fix description of the GIR package.
  * New upstream bugfix release:
    + debian/control.in:
      - Add libsoup-gnome2.4-dev build dependency.
      - Update gobject-introspection build dependency to >= 0.6.14.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 04 Aug 2010 19:13:44 +0200

totem-pl-parser (2.30.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/control.in:
      - Update GLib build dependency to >= 2.24.0.
    + debian/rules:
      - Update shlibs version to >= 2.30.1 because of new API.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 12 May 2010 18:27:59 +0200

totem-pl-parser (2.30.0-3) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 03 May 2010 13:52:34 +0200

totem-pl-parser (2.30.0-2) experimental; urgency=low

  * debian/control.in,
    debian/gir1.0-totem-plparser*.install:
    + Rename GIR package to include the version as required by the GI policy.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 08 Apr 2010 16:11:49 +0200

totem-pl-parser (2.30.0-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Update copyright, everything is under the LGPL now. Closes: #574343.

  [ Sebastian Dröge ]
  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 31 Mar 2010 13:26:39 +0200

totem-pl-parser (2.29.92-1) experimental; urgency=low

  * New upstream development release:
    + debian/control.in:
      - Drop dbus build dependency.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 16 Mar 2010 09:00:43 +0100

totem-pl-parser (2.29.1-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules,
      debian/control.in,
      debian/*install:
      - Update for new soname.
    + debian/gir1.0-totem-plparser.install,
      debian/debian/libtotem-plparser-dev.install,
      debian/control.in,
      debian/rules:
      - Add support for GObject Introspection.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 27 Jan 2010 09:14:29 +0100

totem-pl-parser (2.28.2-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/01_make-reentrant.patch:
      - Dropped, merged upstream.
    + Include gio/gio.h instead of relying on GTK+ to include
      it, which it doesn't in older versions (Closes: #558644).
    + debian/rules:
      - Update shlibs version for new API.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 11 Dec 2009 14:36:54 +0100

totem-pl-parser (2.28.1-2) unstable; urgency=low

  * debian/patches/01_make-reentrant.patch:
    + Patch by Matt Kraai <kraai@ftbfs.org> to make totem-pl-parser
      reentrant. Fixes crashes in rhythmbox (Closes: #547683).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 08 Oct 2009 12:53:30 +0200

totem-pl-parser (2.28.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/control.in:
      - Update GLib build dependency.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 29 Sep 2009 17:39:35 +0200

totem-pl-parser (2.28.0-1) unstable; urgency=low

  * Merge 2.26.2-2.
  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 21 Sep 2009 16:46:25 +0200

totem-pl-parser (2.27.92-1) experimental; urgency=low

  * New upstream development release.
  * debian/control.in:
    + Update Standards-Version to 3.8.3.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 15 Sep 2009 17:29:52 +0200

totem-pl-parser (2.27.2-2) experimental; urgency=low

  * debian/control.in:
    + Let the -dev package depend on libgmime-2.4-dev as it's required
      by some headers.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 08 Aug 2009 21:26:29 +0200

totem-pl-parser (2.27.2-1) experimental; urgency=low

  * New upstream development release:
    + debian/control.in:
      - Build depend on libgmime-2.4-dev instead of libcamel1.2-dev.
    + debian/rules:
      - Update shlibs version to >= 2.27.2 because of API additions.
  * debian/control.in:
    + Update Standards-Version to 3.8.2.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 24 Jul 2009 08:12:47 +0200

totem-pl-parser (2.27.1-1) experimental; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 18 May 2009 19:36:07 +0200

totem-pl-parser (2.26.2-2) unstable; urgency=low

  * debian/patches/30_kfreebsd_gnu.patch:
    - Removed, there's no Linux specific code anymore.
  * debian/control.in:
    - Stop build-depending on libhal-dev, it's not really needed
      and as a side effect it will allow totem-pl-parser to be built
      on non-linux architectures.
    - Let libtotem-plparser-dev depend on ${misc:Depends}.
    - libtotem-plparser12 inherits the section from the source stanza.


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: totem-pl-parser
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5),
               autotools-dev,
               cdbs (>= 0.4.37),
               gnome-pkg-tools,
               intltool (>= 0.35),
               libxml-parser-perl,
               libglib2.0-dev (>= 2.24.0),
               libxml2-dev,
               libgmime-2.4-dev,
               libsoup-gnome2.4-dev,
               libquvi-dev (>= 0.2.11),
               gtk-doc-tools (>= 1.11),
               libglib2.0-doc,
               libgirepository1.0-dev (>= 0.9.12),
               gobject-introspection (>= 0.9.12-4~),
               gir1.2-glib-2.0
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Sebastian Dröge <slomo@debian.org>
Standards-Version: 3.8.4

Package: libtotem-plparser-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libtotem-plparser17 (= ${binary:Version}),
         libglib2.0-dev (>= 2.24.0),
         libquvi-dev (>= 0.2.11),
         libxml2-dev,
         libgmime-2.4-dev
Replaces: libtotem-plparser10
Description: Totem Playlist Parser library - development files
 totem-pl-parser is a simple GObject-based library to parse a host of
 playlist formats, as well as save those.
 .
 This package contains the development headers and documentation.

Package: libtotem-plparser17
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Replaces: libtotem-plparser10, libtotem-plparser12
Description: Totem Playlist Parser library - runtime files
 totem-pl-parser is a simple GObject-based library to parse a host of
 playlist formats, as well as save those.
 .
 This package contains the shared library.

Package: libtotem-plparser-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libtotem-plparser17 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Totem Playlist Parser library - debugging symbols
 totem-pl-parser is a simple GObject-based library to parse a host of
 playlist formats, as well as save those.
 .
 This package contains the debugging symbols.

Package: gir1.2-totem-plparser-1.0
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: gir1.0-totem-plparser-1.0
Replaces: gir1.0-totem-plparser-1.0
Description: GObject introspection data for the Totem Playlist Parser library
 This package contains introspection data for the Totem Playlist Parser
 library.
 .
 totem-pl-parser is a simple GObject-based library to parse a host of
 playlist formats, as well as save those.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/watch ===
version=3
http://download.gnome.org/sources/totem-pl-parser/([\d\.]+)[02468]/totem-pl-parser-([\d\.]+)\.tar\.gz

## totem-pl-parser 2.32.6

=== debian/changelog ===
totem-pl-parser (2.32.6-1) unstable; urgency=low

  * debian/watch: Look for bzip2 tarballs.
  * New upstream release:
    - Fix parsing of remote RSS feeds
    - Add support for M4U/MXU playlists

 -- Martin Pitt <mpitt@debian.org>  Tue, 27 Sep 2011 08:43:37 +0200

totem-pl-parser (2.32.5-2) unstable; urgency=low

  * debian/control.in: Add libarchive-dev dependency to libtotem-plparser-dev
    as well.

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 May 2011 08:37:45 +0200

totem-pl-parser (2.32.5-1) unstable; urgency=low

  * New upstream release.
    - debian/control.in: Bump libquvi-dev build dep and add libarchive-dev
      build dep as per configure.in.
  * debian/control.in: Add Vcs-* fields.
  * debian/watch: Fix syntax to actually catch current version.
  * debian/control.in: Bump Standards-Version to 3.9.2 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 May 2011 08:22:02 +0200

totem-pl-parser (2.32.4-3) unstable; urgency=low

  * Team upload.
  * Upload to unstable to fix pkg-config breakage mistakenly introduced by
    2.32.4-1. Closes: #622214

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 11 Apr 2011 16:57:29 +0000

totem-pl-parser (2.32.4-2) experimental; urgency=low

  * Team upload.
  * Add libquvi-dev to the dependencies of libtotem-pl-parser-dev.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 10 Apr 2011 16:59:54 +0000

totem-pl-parser (2.32.4-1) experimental; urgency=low

  * Team upload.

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.

  [ Raphaël Hertzog ]
  * New upstream release 2.32.4.
  * Drop an unneeded section field (duplication the source entry).

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 10 Apr 2011 09:11:40 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
 Source: totem-pl-parser
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 5),
                autotools-dev,
                cdbs (>= 0.4.37),
@@ -18,24 +17,29 @@
                libxml2-dev,
                libgmime-2.4-dev,
                libsoup-gnome2.4-dev,
-               libquvi-dev (>= 0.2.11),
+               libarchive-dev (>= 2.8.4),
+               libquvi-dev (>= 0.2.15),
                gtk-doc-tools (>= 1.11),
                libglib2.0-doc,
                libgirepository1.0-dev (>= 0.9.12),
                gobject-introspection (>= 0.9.12-4~),
                gir1.2-glib-2.0
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Sebastian Dröge <slomo@debian.org>
-Standards-Version: 3.8.4
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Sebastian Dröge <slomo@debian.org>
+Standards-Version: 3.9.2
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/totem-pl-parser
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/totem-pl-parser
 
 Package: libtotem-plparser-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
          libtotem-plparser17 (= ${binary:Version}),
+         gir1.2-totem-plparser-1.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.24.0),
-         libquvi-dev (>= 0.2.11),
          libxml2-dev,
-         libgmime-2.4-dev
+         libgmime-2.4-dev,
+         libquvi-dev,
+         libarchive-dev
 Replaces: libtotem-plparser10
 Description: Totem Playlist Parser library - development files
  totem-pl-parser is a simple GObject-based library to parse a host of
@@ -68,7 +72,6 @@
  This package contains the debugging symbols.
 
 Package: gir1.2-totem-plparser-1.0
-Section: libs
 Architecture: any
 Depends: ${gir:Depends},
          ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

libtotem-plparserN := $(shell sed -rn 's/^Package:[[:space:]]*(libtotem-plparser[0-9]+)[[:space:]]*$$/\1/p' debian/control)

DEB_DH_MAKESHLIBS_ARGS_$(libtotem-plparserN) += -V '$(libtotem-plparserN) (>= 2.30.1)' -- -c4

$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
	dh_girepository -p$(cdbs_curpkg)

=== debian/watch ===
version=3
http://download.gnome.org/sources/totem-pl-parser/([\d\.]+[02468])/totem-pl-parser-([\d\.]+)\.tar\.bz2

## totem-pl-parser 3.4.1

=== debian/changelog ===
totem-pl-parser (3.4.1-1) unstable; urgency=low

  * New upstream bug fix release.
  * Drop explicit Build-Depends on gir1.2-glib-2.0 and bump Build-Depends on
    libgirepository1.0-dev accordingly.

 -- Michael Biebl <biebl@debian.org>  Mon, 16 Apr 2012 17:20:59 +0200

totem-pl-parser (3.4.0-1) unstable; urgency=low

  * New upstream release.
  * Don't bother setting a shlibs version and just use -V since we have a
    symbols file.
  * Build gtk-doc documentation.
  * Update Vcs-* URLs.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Sat, 31 Mar 2012 07:14:01 +0200

totem-pl-parser (3.2.0-2) experimental; urgency=low

  * Switch to gmime 2.6.

 -- Michael Biebl <biebl@debian.org>  Fri, 09 Mar 2012 14:16:19 +0100

totem-pl-parser (3.2.0-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/01-libquvi-0.4.patch: Removed, merged upstream.
  * debian/control.in: Bump (Build-)Depends on libglib2.0-dev to (>= 2.31.0).

 -- Michael Biebl <biebl@debian.org>  Fri, 09 Mar 2012 13:39:14 +0100

totem-pl-parser (2.32.6-2) unstable; urgency=low

  * debian/watch: Track .xz tarballs.
  * Bump debhelper compatibility level to 8.
    - Strip debian/tmp/ from .install files.
    - Bump Build-Depends on debhelper.
  * Change section of gir1.2-totem-plparser-1.0 to introspection.
  * Rely on cdbs to call dh_girepository instead of calling it explicitly.
    Bump Build-Depends on cdbs accordingly.
  * debian/patches/01-libquvi-0.4.patch:
    - Make totem-pl-parser build against libquvi 0.4. Patch is backwards
      compatible with libquvi 0.2. Thanks Ansgar Burchardt for the patch.
      Closes: #651637

 -- Michael Biebl <biebl@debian.org>  Sun, 11 Dec 2011 00:36:29 +0100

## totem-pl-parser 3.4.2

=== debian/changelog ===
totem-pl-parser (3.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 May 2012 20:25:47 +0200

=== debian/control ===
--- 
+++ 
@@ -7,27 +7,26 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 5),
+Uploaders: Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 8),
                autotools-dev,
-               cdbs (>= 0.4.37),
+               cdbs (>= 0.4.90),
                gnome-pkg-tools,
                intltool (>= 0.35),
                libxml-parser-perl,
-               libglib2.0-dev (>= 2.24.0),
+               libglib2.0-dev (>= 2.31.0),
                libxml2-dev,
-               libgmime-2.4-dev,
+               libgmime-2.6-dev,
                libsoup-gnome2.4-dev,
                libarchive-dev (>= 2.8.4),
                libquvi-dev (>= 0.2.15),
                gtk-doc-tools (>= 1.11),
                libglib2.0-doc,
-               libgirepository1.0-dev (>= 0.9.12),
-               gobject-introspection (>= 0.9.12-4~),
-               gir1.2-glib-2.0
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Sebastian Dröge <slomo@debian.org>
-Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/totem-pl-parser
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/totem-pl-parser
+               libgirepository1.0-dev (>= 0.10.7-1~),
+               gobject-introspection (>= 0.9.12-4~)
+Standards-Version: 3.9.3
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/totem-pl-parser
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/totem-pl-parser
 
 Package: libtotem-plparser-dev
 Section: libdevel
@@ -35,9 +34,9 @@
 Depends: ${misc:Depends},
          libtotem-plparser17 (= ${binary:Version}),
          gir1.2-totem-plparser-1.0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.24.0),
+         libglib2.0-dev (>= 2.31.0),
          libxml2-dev,
-         libgmime-2.4-dev,
+         libgmime-2.6-dev,
          libquvi-dev,
          libarchive-dev
 Replaces: libtotem-plparser10
@@ -72,6 +71,7 @@
  This package contains the debugging symbols.
 
 Package: gir1.2-totem-plparser-1.0
+Section: introspection
 Architecture: any
 Depends: ${gir:Depends},
          ${shlibs:Depends},

## totem-pl-parser 3.4.3

=== debian/changelog ===
totem-pl-parser (3.4.3-1) experimental; urgency=low

  * Team upload
  * New upstream bug fix release
    - build-depend on GLib 2.34, for g_clear_pointer()

 -- Simon McVittie <smcv@debian.org>  Tue, 23 Oct 2012 17:38:31 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                gnome-pkg-tools,
                intltool (>= 0.35),
                libxml-parser-perl,
-               libglib2.0-dev (>= 2.31.0),
+               libglib2.0-dev (>= 2.34),
                libxml2-dev,
                libgmime-2.6-dev,
                libsoup-gnome2.4-dev,

## totem-pl-parser 3.4.4

=== debian/changelog ===
totem-pl-parser (3.4.4-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 28 Mar 2013 02:03:45 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8),
                autotools-dev,
                cdbs (>= 0.4.90),

## totem-pl-parser 3.4.5

=== debian/changelog ===
totem-pl-parser (3.4.5-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * The dependency on newer glib versions has been removed by not using
    g_clear_pointer(). Lower the Build-Depends accordingly.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 04 Jun 2013 01:02:57 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                gnome-pkg-tools,
                intltool (>= 0.35),
                libxml-parser-perl,
-               libglib2.0-dev (>= 2.34),
+               libglib2.0-dev (>= 2.31.0),
                libxml2-dev,
                libgmime-2.6-dev,
                libsoup-gnome2.4-dev,
@@ -24,7 +24,7 @@
                libglib2.0-doc,
                libgirepository1.0-dev (>= 0.10.7-1~),
                gobject-introspection (>= 0.9.12-4~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/totem-pl-parser
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/totem-pl-parser
 
@@ -34,7 +34,7 @@
 Depends: ${misc:Depends},
          libtotem-plparser17 (= ${binary:Version}),
          gir1.2-totem-plparser-1.0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.31.0),
+         libglib2.0-dev,
          libxml2-dev,
          libgmime-2.6-dev,
          libquvi-dev,

## totem-pl-parser 3.10.2

=== debian/changelog ===
totem-pl-parser (3.10.2-0ubuntu1) trusty; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 31 Mar 2014 16:26:58 +0200

totem-pl-parser (3.10.1-0ubuntu1) trusty; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Feb 2014 13:46:10 +0100

totem-pl-parser (3.10.0-1ubuntu1) trusty; urgency=medium

  * Patch m4/libtool.m4 and libtool.m4 for ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Dec 2013 15:36:43 +0100

totem-pl-parser (3.10.0-1) experimental; urgency=low

  [ Andreas Henriksson ]
  * New upstream release.
  * Update build-dependencies according to configure.ac:
    - Bump libsoup-gnome2.4-dev to >= 2.43.0
    - Bump libarchive-dev to >= 3.0
    - Drop libquvi-dev (new quvi has incompatible license)
  * Rename package for new SONAME (17->18)
  * Update debian/libtotem-plparser18.symbols

  [ Michael Biebl ]
  * Remove libquvi-dev dependency from libtotem-plparser-dev, the library no
    longer links against libquvi.

  [ Sjoerd Simons ]
  * Add replaces on libtotem-plparser17 for the translations

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 06 Nov 2013 22:12:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: totem-pl-parser
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8),
                autotools-dev,
                cdbs (>= 0.4.90),
@@ -17,27 +17,25 @@
                libglib2.0-dev (>= 2.31.0),
                libxml2-dev,
                libgmime-2.6-dev,
-               libsoup-gnome2.4-dev,
-               libarchive-dev (>= 2.8.4),
-               libquvi-dev (>= 0.2.15),
+               libsoup-gnome2.4-dev (>= 2.43.0),
+               libarchive-dev (>= 3.0),
                gtk-doc-tools (>= 1.11),
                libglib2.0-doc,
                libgirepository1.0-dev (>= 0.10.7-1~),
                gobject-introspection (>= 0.9.12-4~)
 Standards-Version: 3.9.4
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/totem-pl-parser
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/totem-pl-parser
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/totem-pl-parser
 
 Package: libtotem-plparser-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
-         libtotem-plparser17 (= ${binary:Version}),
+         libtotem-plparser18 (= ${binary:Version}),
          gir1.2-totem-plparser-1.0 (= ${binary:Version}),
          libglib2.0-dev,
          libxml2-dev,
          libgmime-2.6-dev,
-         libquvi-dev,
          libarchive-dev
 Replaces: libtotem-plparser10
 Description: Totem Playlist Parser library - development files
@@ -46,11 +44,11 @@
  .
  This package contains the development headers and documentation.
 
-Package: libtotem-plparser17
+Package: libtotem-plparser18
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Replaces: libtotem-plparser10, libtotem-plparser12
+Replaces: libtotem-plparser10, libtotem-plparser12, libtotem-plparser17
 Description: Totem Playlist Parser library - runtime files
  totem-pl-parser is a simple GObject-based library to parse a host of
  playlist formats, as well as save those.
@@ -61,7 +59,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libtotem-plparser17 (= ${binary:Version}),
+Depends: libtotem-plparser18 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Totem Playlist Parser library - debugging symbols

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 
 libtotem-plparserN := $(shell sed -rn 's/^Package:[[:space:]]*(libtotem-plparser[0-9]+)[[:space:]]*$$/\1/p' debian/control)
 
-DEB_DH_MAKESHLIBS_ARGS_$(libtotem-plparserN) += -V '$(libtotem-plparserN) (>= 2.30.1)' -- -c4
+DEB_DH_MAKESHLIBS_ARGS_$(libtotem-plparserN) += -V -- -c4
 
-$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
-	dh_girepository -p$(cdbs_curpkg)
+DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc

## totem-pl-parser 3.10.3

=== debian/changelog ===
totem-pl-parser (3.10.3-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 22:08:06 +0200

totem-pl-parser (3.10.2-3) unstable; urgency=medium

  * debian/control.in:
    + Let libtotem-plparser-dev depend on libquvi-dev, needed by the
      pkg-config file.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 31 May 2014 11:46:29 +0200

totem-pl-parser (3.10.2-2) unstable; urgency=medium

  * Add debian/patches/totem-pl-parser-use-old-quvi.patch
    - reverts upstream commit 24970018abfcedcaa496
      "plparse: Port to libquvi 0.9"
      because we don't have this version in unstable yet.
  * debian/rules: use autoreconf because of above patch
  * Re-add libquvi build-dependency
  * Add build-dependencies on dh-autoreconf and libgcrypt20-dev
  * Run wrap-and-sort
  * Make libquvi build-dependency >= 0.4.1-2.1~
    - this would avoid pulling in both lua 5.1 and 5.2 in same process
      (since totem crashes on startup if we do this) if libquvi had
      a "Build-Depends-Package" in its symbols file.... oh well.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 30 May 2014 10:31:34 +0200

totem-pl-parser (3.10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Mar 2014 19:24:56 +0100

totem-pl-parser (3.10.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 27 Feb 2014 19:51:06 +0100

totem-pl-parser (3.10.1-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 18 Feb 2014 21:03:17 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: totem-pl-parser
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: autotools-dev,
               cdbs (>= 0.4.90),
               debhelper (>= 8),
               dh-autoreconf,
               gnome-pkg-tools,
               gobject-introspection (>= 0.9.12-4~),
               gtk-doc-tools (>= 1.11),
               intltool (>= 0.35),
               libarchive-dev (>= 3.0),
               libgcrypt20-dev,
               libgirepository1.0-dev (>= 0.10.7-1~),
               libglib2.0-dev (>= 2.31.0),
               libglib2.0-doc,
               libgmime-2.6-dev,
               libquvi-dev (>= 0.4.1-2.1~),
               libsoup-gnome2.4-dev (>= 2.43.0),
               libxml-parser-perl,
               libxml2-dev
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/totem-pl-parser
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/totem-pl-parser

Package: libtotem-plparser-dev
Section: libdevel
Architecture: any
Depends: gir1.2-totem-plparser-1.0 (= ${binary:Version}),
         libarchive-dev,
         libglib2.0-dev,
         libgmime-2.6-dev,
         libquvi-dev,
         libtotem-plparser18 (= ${binary:Version}),
         libxml2-dev,
         ${misc:Depends}
Replaces: libtotem-plparser10
Description: Totem Playlist Parser library - development files
 totem-pl-parser is a simple GObject-based library to parse a host of
 playlist formats, as well as save those.
 .
 This package contains the development headers and documentation.

Package: libtotem-plparser18
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libtotem-plparser10, libtotem-plparser12, libtotem-plparser17
Description: Totem Playlist Parser library - runtime files
 totem-pl-parser is a simple GObject-based library to parse a host of
 playlist formats, as well as save those.
 .
 This package contains the shared library.

Package: libtotem-plparser-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libtotem-plparser18 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Totem Playlist Parser library - debugging symbols
 totem-pl-parser is a simple GObject-based library to parse a host of
 playlist formats, as well as save those.
 .
 This package contains the debugging symbols.

Package: gir1.2-totem-plparser-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Conflicts: gir1.0-totem-plparser-1.0
Replaces: gir1.0-totem-plparser-1.0
Description: GObject introspection data for the Totem Playlist Parser library
 This package contains introspection data for the Totem Playlist Parser
 library.
 .
 totem-pl-parser is a simple GObject-based library to parse a host of
 playlist formats, as well as save those.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

libtotem-plparserN := $(shell sed -rn 's/^Package:[[:space:]]*(libtotem-plparser[0-9]+)[[:space:]]*$$/\1/p' debian/control)

DEB_DH_MAKESHLIBS_ARGS_$(libtotem-plparserN) += -V -- -c4

DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc

DEB_DH_AUTORECONF_ARGS += ./autogen.sh

## totem-pl-parser 3.10.5

=== debian/changelog ===
totem-pl-parser (3.10.5-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release

  [ Michael Biebl ]
  * Wrap dependencies and drop obsolete Conflicts and Replaces from
    pre-wheezy.
  * Split the translations from libtotem-plparser18 into a separate
    libtotem-plparser-common package which is Architecture: all. Make
    libtotem-plparser18 depend on that package.
  * Convert the package to multiarch.
  * Bump debhelper compatility level to 9.
  * Bump Standards-Version to 3.9.6.

 -- Michael Biebl <biebl@debian.org>  Sun, 26 Jul 2015 14:28:53 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: autotools-dev,
-               cdbs (>= 0.4.90),
-               debhelper (>= 8),
+               cdbs (>= 0.4.93),
+               debhelper (>= 9),
                dh-autoreconf,
                gnome-pkg-tools,
                gobject-introspection (>= 0.9.12-4~),
@@ -25,32 +25,49 @@
                libsoup-gnome2.4-dev (>= 2.43.0),
                libxml-parser-perl,
                libxml2-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/totem-pl-parser
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/totem-pl-parser
 
 Package: libtotem-plparser-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: gir1.2-totem-plparser-1.0 (= ${binary:Version}),
+         libtotem-plparser18 (= ${binary:Version}),
          libarchive-dev,
          libglib2.0-dev,
          libgmime-2.6-dev,
          libquvi-dev,
-         libtotem-plparser18 (= ${binary:Version}),
          libxml2-dev,
          ${misc:Depends}
-Replaces: libtotem-plparser10
 Description: Totem Playlist Parser library - development files
  totem-pl-parser is a simple GObject-based library to parse a host of
  playlist formats, as well as save those.
  .
  This package contains the development headers and documentation.
 
+Package: libtotem-plparser-common
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Breaks: libtotem-plparser17,
+        libtotem-plparser18 (<< 3.10.5-1)
+Replaces: libtotem-plparser17,
+          libtotem-plparser18 (<< 3.10.5-1)
+Description: Totem Playlist Parser library - common files
+ totem-pl-parser is a simple GObject-based library to parse a host of
+ playlist formats, as well as save those.
+ .
+ This package contains the translation files..
+
 Package: libtotem-plparser18
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libtotem-plparser10, libtotem-plparser12, libtotem-plparser17
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libtotem-plparser-common
 Description: Totem Playlist Parser library - runtime files
  totem-pl-parser is a simple GObject-based library to parse a host of
  playlist formats, as well as save those.
@@ -73,9 +90,10 @@
 Package: gir1.2-totem-plparser-1.0
 Section: introspection
 Architecture: any
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Conflicts: gir1.0-totem-plparser-1.0
-Replaces: gir1.0-totem-plparser-1.0
+Multi-Arch: same
+Depends: ${gir:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: GObject introspection data for the Totem Playlist Parser library
  This package contains introspection data for the Totem Playlist Parser
  library.

## totem-pl-parser 3.10.6

=== debian/changelog ===
totem-pl-parser (3.10.6-1ubuntu1) xenial; urgency=medium

  * debian/patches/revert-totem-pl-parser-dont-use-quvi.patch: Fixes
    a FTBFS in grilo-plugins, can be dropped once quvi 0.9 transition
    is completed. 

 -- Tim Lunn <tim@feathertop.org>  Wed, 13 Jan 2016 11:05:23 +1100

totem-pl-parser (3.10.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/totem-pl-parser-use-old-quvi.patch.

 -- Michael Biebl <biebl@debian.org>  Wed, 16 Dec 2015 00:09:33 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                libxml2-dev
 Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/totem-pl-parser
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/totem-pl-parser
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/totem-pl-parser
 
 Package: libtotem-plparser-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 DEB_DH_MAKESHLIBS_ARGS_$(libtotem-plparserN) += -V -- -c4
 
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc
+DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+                             --enable-gtk-doc
 
 DEB_DH_AUTORECONF_ARGS += ./autogen.sh

=== debian/watch ===
version=3
http://download.gnome.org/sources/totem-pl-parser/([\d\.]+[02468])/totem-pl-parser-([\d\.]+)\.tar\.xz

## totem-pl-parser 3.10.7

=== debian/changelog ===
totem-pl-parser (3.10.7-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Convert from cdbs to dh.
  * Drop libtotem-plparser-dbg in favour of automatic dbgsym
  * Bump dh compat to 10 (automatic dh-autoreconf)
  * Bump Standards-Version to 3.9.8
  * Run testsuite, non-fatal for now until it's fixed.
  * Add explicit gnome-common build-dependency (Closes: #837831)

  [ Michael Biebl ]
  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Sep 2016 20:16:21 +0200

totem-pl-parser (3.10.6-4) unstable; urgency=medium

  * debian/rules: set libexecdir to a (multiarched) so-versioned path
    where we install the videosite helper. (Nothing else uses libexecdir.)
  * debian/libtotem-pl-parser18.install:
    install usr/lib/*/libtotem-plparser*/totem-pl-parser directory
    which contains 99-totem-pl-parser-videosite helper.
    (Closes: #816575)
  * Bump Standards-Version to 3.9.7

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 03 Mar 2016 15:59:53 +0100

totem-pl-parser (3.10.6-2) unstable; urgency=medium

  * Upload to unstable. (Closes: #810952)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 18 Feb 2016 17:13:18 +0100

totem-pl-parser (3.10.6-1exp1) experimental; urgency=medium

  [ Tim Lunn ]
  * Prepare for libquvi-0.9 transition
    - d/p/totem-pl-parser-use-old-quvi.patch: Dropped
    - d/control.in: Build depend on libquvi-0.9-dev

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 14 Jan 2016 13:42:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,10 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: autotools-dev,
-               cdbs (>= 0.4.93),
-               debhelper (>= 9),
-               dh-autoreconf,
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
+               gnome-common,
                gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools (>= 1.11),
                intltool (>= 0.35),
@@ -21,11 +19,11 @@
                libglib2.0-dev (>= 2.31.0),
                libglib2.0-doc,
                libgmime-2.6-dev,
-               libquvi-dev (>= 0.4.1-2.1~),
+               libquvi-0.9-dev,
                libsoup-gnome2.4-dev (>= 2.43.0),
                libxml-parser-perl,
                libxml2-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/totem-pl-parser
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/totem-pl-parser
 
@@ -38,7 +36,7 @@
          libarchive-dev,
          libglib2.0-dev,
          libgmime-2.6-dev,
-         libquvi-dev,
+         libquvi-0.9-dev,
          libxml2-dev,
          ${misc:Depends}
 Description: Totem Playlist Parser library - development files
@@ -74,19 +72,6 @@
  .
  This package contains the shared library.
 
-Package: libtotem-plparser-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libtotem-plparser18 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Totem Playlist Parser library - debugging symbols
- totem-pl-parser is a simple GObject-based library to parse a host of
- playlist formats, as well as save those.
- .
- This package contains the debugging symbols.
-
 Package: gir1.2-totem-plparser-1.0
 Section: introspection
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

libtotem-plparserN := $(shell sed -rn 's/^Package:[[:space:]]*(libtotem-plparser[0-9]+)[[:space:]]*$$/\1/p' debian/control)

%:
	dh $@ --with gnome,gir

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=\$${libdir}/$(libtotem-plparserN) \
		--enable-gtk-doc

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_makeshlibs:
	dh_makeshlibs -p $(libtotem-plparserN) -V -- -c4
	dh_makeshlibs --remaining-packages

override_dh_strip:
	dh_strip --dbgsym-migration="libtotem-plparser-dbg (<< 3.10.6-5~)"

override_dh_auto_test:
	dh_auto_test || true
